Hazeron Forums

Full Version: Linux Package Requirements
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
Here are the package requirements to install Shores of Hazeron on various flavors of Linux. It is a bit dated but will probably get you pretty close.

In all cases, a hardware accelerated video driver is needed. The stock video driver was not sufficient on any Linux version I tried.


Ubuntu 16 and Mint 18

The command to install packages needed by Shores of Hazeron on Ubuntu 16 and Mint 18 is...

Code:
sudo apt-get install libxcb-render-util0 libxcb-image0 libxcb-icccm4 libxcb-randr0 libxcb-keysyms1 libxcb-xinerama0 libsdl2-2.0-0 libopenal1 libpcre16-3


Debian 8

The package requirements are the same but the installation procedure is slightly different since the sudo command is not available. On Debian, package installation looks more like this.

Code:
$ su -
Password: <enter the root password>
# apt-get install libxcb-render-util0 libxcb-image0 libxcb-icccm4 libxcb-randr0 libxcb-keysyms1 libxcb-xinerama0 libsdl2-2.0-0 libopenal1

<lots of output>

# exit
$


Fedora 24

Fedora 24 required a single package be installed after installation on a clean machine. That looked like this.

Code:
sudo dnf -y install openal